Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Upstream-Name: arctica-greeter
Upstream-Contact: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Source: https://github.com/ArcticaProject/arctica-greeter

Files: src/animate-timer.vala
 src/arctica-greeter.vala
 src/background.vala
 src/dash-box.vala
 src/dash-button.vala
 src/dash-entry.vala
 src/flat-button.vala
 src/greeter-list.vala
 src/idle-monitor.vala
 src/main-window.vala
 src/menubar.vala
 src/prompt-box.vala
 src/remote-logon-service.vala
 src/session-list.vala
 src/settings-daemon.vala
 src/settings.vala
 src/shutdown-dialog.vala
 src/toggle-box.vala
 src/user-list.vala
Copyright: 2011, Canonical Ltd
  2011-2012, Canonical Ltd
  2012, Canonical Ltd
  2013, Canonical Ltd
  2014, Canonical Ltd
  2014-2015, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
  2015, 2017, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
  2015, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
  2015-2016, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
  2015-2017, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
  2017, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
License: GPL-3

Files: arctica-greeter-guest-session-auto.sh
 lightdm-arctica-greeter-session
 src/cached-image.vala
 src/cairo-utils.vala
 src/email-autocompleter.vala
 src/fadable-box.vala
 src/fadable.vala
 src/fading-label.vala
 src/list-stack.vala
 src/menu.vala
 src/user-prompt-box.vala
 tests/arctica-greeter.vala
 tests/menubar.vala
Copyright: 2011, Canonical Ltd
  2011-2012, Canonical Ltd
  2012, Canonical Ltd
  2013, Canonical Ltd
License: GPL-3

Files: data/sounds/stereo/*
 data/sounds/index.theme
Copyright: 2004, Canonical Ltd.
License: CC-BY-SA-1.0
Comment:
 Obtained from Ubuntu's GNOME audio theme (ubuntu-sounds package)
 in 2017.
 .
 Sounds composed and recorded by Nathaniel McCallum
 <npmccallum@canonical.com>

Files: po/af.po
 po/am.po
 po/an.po
 po/ar.po
 po/ast.po
 po/az.po
 po/be.po
 po/bem.po
 po/bg.po
 po/bn.po
 po/bo.po
 po/br.po
 po/bs.po
 po/ca.po
 po/ca@valencia.po
 po/cs.po
 po/cy.po
 po/da.po
 po/de.po
 po/el.po
 po/en_AU.po
 po/en_CA.po
 po/en_GB.po
 po/eo.po
 po/es.po
 po/et.po
 po/eu.po
 po/fa.po
 po/fi.po
 po/fil.po
 po/fo.po
 po/fr.po
 po/fr_CA.po
 po/fy.po
 po/ga.po
 po/gd.po
 po/gl.po
 po/gu.po
 po/he.po
 po/hi.po
 po/hr.po
 po/ht.po
 po/hu.po
 po/id.po
 po/ie.po
 po/is.po
 po/it.po
 po/ja.po
 po/ka.po
 po/kk.po
 po/kl.po
 po/km.po
 po/kn.po
 po/ko.po
 po/ku.po
 po/kw.po
 po/ky.po
 po/la.po
 po/lb.po
 po/lt.po
 po/lv.po
 po/mg.po
 po/mhr.po
 po/mi.po
 po/ml.po
 po/mr.po
 po/ms.po
 po/my.po
 po/nb.po
 po/ne.po
 po/nl.po
 po/nn.po
 po/oc.po
 po/os.po
 po/pa.po
 po/pl.po
 po/ps.po
 po/pt.po
 po/pt_BR.po
 po/ro.po
 po/ru.po
 po/sd.po
 po/se.po
 po/shn.po
 po/si.po
 po/sk.po
 po/sl.po
 po/sq.po
 po/sr.po
 po/sv.po
 po/sw.po
 po/szl.po
 po/ta.po
 po/sk.po
 po/sl.po
 po/sq.po
 po/sr.po
 po/sv.po
 po/sw.po
 po/szl.po
 po/ta.po
 po/te.po
 po/th.po
 po/ti.po
 po/tr.po
 po/ug.po
 po/uk.po
 po/ur.po
 po/uz.po
 po/vi.po
 po/wae.po
 po/zh_CN.po
 po/zh_HK.po
 po/zh_TW.po
Copyright: 2012, Rosetta Contributors
  2012, Canonical Ltd
License: GPL-3
Comment:
 This file is distributed under the same license as the arctica-greeter
 package.

Files: po/ckb.po
 po/crh.po
 po/frp.po
 po/sc.po
 po/tg.po
Copyright: 2013, Rosetta Contributors
  2013, Canonical Ltd
License: GPL-3
Comment:
 This file is distributed under the same license as the arctica-greeter
 package.

Files: po/ce.po
 po/cv.po
 po/hy.po
 po/lo.po
 po/sa.po
Copyright: 2014, Rosetta Contributors and Canonical Ltd 2014
License: GPL-3
Comment:
 This file is distributed under the same license as the arctica-greeter
 package.

Files: po/ia.po
Copyright: 2015, Rosetta Contributors and Canonical Ltd 2015
License: GPL-3
Comment:
 This file is distributed under the same license as the arctica-greeter
 package.

Files: po/arctica-greeter.pot
 po/co.po
Copyright: YEAR THE PACKAGE'S COPYRIGHT HOLDER
License: GPL-3
Comment:
 This file is distributed under the same license as the arctica-greeter
 package.

Files: data/arctica-greeter-blue.xcf
 data/arctica-greeter-yellow.xcf
 data/arctica-greeter.png
 data/badges/awesome_badge.xcf
 data/badges/awesome_badge.png
 data/badges/budgie_badge.xcf
 data/badges/budgie_badge.png
 data/badges/gnustep_badge.xcf
 data/badges/gnustep_badge.png
 data/badges/i3_badge.xcf
 data/badges/i3_badge.png
 data/badges/lxde_badge.xcf
 data/badges/lxde_badge.png
 data/badges/matchbox_badge.xcf
 data/badges/matchbox_badge.png
 data/badges/mate_badge.xcf
 data/badges/mate_badge.png
 data/badges/openbox_badge.xcf
 data/badges/openbox_badge.png
 data/badges/sugar_badge.xcf
 data/badges/sugar_badge.png
 data/badges/surf_badge.xcf
 data/badges/surf_badge.png
 data/badges/twm_badge.xcf
 data/badges/twm_badge.png
 data/badges/xfce_badge.xcf
 data/badges/xfce_badge.png
 data/badges/xmonad_badge.xcf
 data/badges/xmonad_badge.png
 data/badges/xfce_badge.xcf
 data/badges/xfce_badge.png
 data/badges/xsession_badge.xcf
 data/badges/xsession_badge.png
Copyright: 2015-2017, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
License: CC-BY-SA-3.0

Files: data/a11y.svg
Copyright: GNOME Project
License: CC-BY-SA-3.0

Files: arctica-greeter-set-keyboard-layout
 arctica-greeter-check-hidpi
Copyright: 2017, Clement Lefebvre <clement.lefebvre@linuxmint.com>
License: GPL-3

Files: arctica-greeter-guest-account-script.in
Copyright: 2008, Canonical Ltd.
License: GPL-2+

Files: fix-patch-whitespace
Copyright: 2010, Keith Packard <keithp@keithp.com>
License: MIT~X11

Files: update-po.sh
 update-pot.sh
Copyright: 2017, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
License: GPL-3

Files: src/pam_freerdp2.vapi
 src/pam_x2go.vapi
Copyright: 2018, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
License: GPL-3
Comment:
 Found authorship in VCS history, assuming copyright holdership.
 .
 Assuming license as found in COPYING file.

Files: AUTHORS
 ChangeLog
 Makefile.am
 NEWS
 NEWS.Canonical
 README
 arctica-greeter.doap
 arctica-greeter-guest-session-setup.sh
 autogen.sh
 configure.ac
 data/50-arctica-greeter.conf.in
 data/50-arctica-greeter-guest-wrapper.conf.in
 data/Makefile.am
 data/arctica-greeter.1
 data/arctica-greeter.desktop.in
 data/arctica-greeter-guest-session-startup.desktop.in
 data/arctica-greeter-guest-account-script.8
 data/org.ArcticaProject.arctica-greeter.gschema.xml
 po/LINGUAS
 po/POTFILES.in
 po/POTFILES.skip
 src/Makefile.am
 src/config.vapi
 src/fixes.vapi
 src/indicator.vapi
 src/logo-generator.vala
 src/xsync.vapi
 tests/Makefile.am
 tests/test-list.vala
 tests/test-main-window.vala
 tests/test.vala
Copyright: 2011-2014, Canonical Ltd
  2012-2017, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
License: GPL-3
Comment:
 Files lack copyright headers, assuming license from
 COPYING file, author information from other code files.

Files: data/active.png
 data/arrow_left.png
 data/arrow_right.png
 data/badges/gnome_badge.png
 data/badges/kde_badge.png
 data/badges/recovery_console_badge.png
 data/badges/remote_login_help.png
 data/badges/ubuntu_badge.png
 data/badges/unknown_badge.png
 data/dialog_close.png
 data/dialog_close_highlight.png
 data/dialog_close_press.png
 data/hibernate.png
 data/hibernate_highlight.png
 data/logo-bare.png
 data/logo-bare.svg
 data/message.png
 data/restart.png
 data/restart_highlight.png
 data/shadow.png
 data/shutdown.png
 data/shutdown_highlight.png
 data/suspend.png
 data/suspend_highlight.png
 data/switcher_corner.png
 data/switcher_left.png
 data/switcher_top.png
Copyright: 2011-2014, Canonical Ltd
License: GPL-3
Comment:
 These artwork files stem from Unity Greeter, so
 assuming appropriate copyright attribution.

Files: debian/*
Copyright: 2011-2013, Canonical Ltd
           2012-2017, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
License: GPL-3

Files: debian/theme-debian-logo-bare.png
 debian/theme-debian-logo-v09.png
Copyright: 2016, Juliette Taka Belin
License: GPL-2+
Comment:
 Obtained from: https://wiki.debian.org/DebianArt/Themes/softWaves
 .
 Adapted by Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Files: debian/theme-debian-logo-v10.png
Copyright: 2018, Alex Makas, radicalmonday@gmail.com
License: GPL-2+
Comment:
 Obtained from http:://wiki.debian.org/DebianArt/Themes/futurePrototype
 .
 Adapted by Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Files: debian/theme-debian-logo-v11*.*
Copyright: 2020, Juliette Taka Belin
License: CC-BY-SA-4.0 or GPL-2+
Comment:
 Obtained from: https://wiki.debian.org/DebianArt/Themes/Homeworld
 .
 Adapted by Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

License: GPL-2+
 This program is free software; you can redistribute it and/or modify it
 under the terms of the GNU General Public License as published by the Free
 Software Foundation; either version 2 of the License, or (at your option)
 any later version.
 .
 This program is distributed in the hope that it will be useful, but WITHOUT
 ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 more details.
 .
 You should have received a copy of the GNU General Public License along with
 this program; if not, write to the Free Software Foundation, Inc., 51
 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 .
 On Debian systems, the complete text of the GNU General Public License
 version 2 can be found in `/usr/share/common-licenses/GPL-2'.

License: GPL-3
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License version 3 as
 published by the Free Software Foundation.
 .
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 .
 You should have received a copy of the GNU General Public License along with
 this program; if not, write to the Free Software Foundation, Inc., 51
 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 .
 On Debian systems, the complete text of the GNU General
 Public License can be found in `/usr/share/common-licenses/GPL-3’.

License: CC-BY-SA-1.0
 THE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE
 COMMONS PUBLIC LICENSE ("CCPL" OR "LICENSE"). THE WORK IS PROTECTED BY
 COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS
 AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS PROHIBITED.
 .
 BY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE
 TO BE BOUND BY THE TERMS OF THIS LICENSE. THE LICENSOR GRANTS YOU THE
 RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS
 AND CONDITIONS.
 .
 1. Definitions
 .
    a. "Collective Work" means a work, such as a periodical issue,
       anthology or encyclopedia, in which the Work in its entirety in
       unmodified form, along with a number of other contributions,
       constituting separate and independent works in themselves, are assembled
       into a collective whole. A work that constitutes a Collective Work will
       not be considered a Derivative Work (as defined below) for the purposes
       of this License.
    b. "Derivative Work" means a work based upon the Work or upon the
       Work and other pre-existing works, such as a translation, musical
       arrangement, dramatization, fictionalization, motion picture version,
       sound recording, art reproduction, abridgment, condensation, or any
       other form in which the Work may be recast, transformed, or adapted,
       except that a work that constitutes a Collective Work will not be
       considered a Derivative Work for the purpose of this License. For the
       avoidance of doubt, where the Work is a musical composition or sound
       recording, the synchronization of the Work in timed-relation with a
       moving image ("synching") will be considered a Derivative Work for the
       purpose of this License.
    c. "Licensor" means the individual or entity that offers the Work
       under the terms of this License.
    d. "Original Author" means the individual or entity who created the
       Work.
    e. "Work" means the copyrightable work of authorship offered under
       the terms of this License.
    f. "You" means an individual or entity exercising rights under this
       License who has not previously violated the terms of this License with
       respect to the Work, or who has received express permission from the
       Licensor to exercise rights under this License despite a previous
       violation.
    g. "License Elements" means the following high-level license
       attributes as selected by Licensor and indicated in the title of this
       License: Attribution, ShareAlike.
 .
 2. Fair Use Rights. Nothing in this license is intended to reduce,
    limit, or restrict any rights arising from fair use, first sale or other
    limitations on the exclusive rights of the copyright owner under
    copyright law or other applicable laws.
 .
 3. License Grant. Subject to the terms and conditions of this License,
    Licensor hereby grants You a worldwide, royalty-free, non-exclusive,
    perpetual (for the duration of the applicable copyright) license to
    exercise the rights in the Work as stated below:
 .
     a. to reproduce the Work, to incorporate the Work into one or more
       Collective Works, and to reproduce the Work as incorporated in the
       Collective Works;
    b. to create and reproduce Derivative Works;
    c. to distribute copies or phonorecords of, display publicly, perform
       publicly, and perform publicly by means of a digital audio transmission
       the Work including as incorporated in Collective Works;
    d. to distribute copies or phonorecords of, display publicly, perform
       publicly, and perform publicly by means of a digital audio transmission
       Derivative Works.
    e. For the avoidance of doubt, where the work is a musical
       composition:
          i. Performance Royalties Under Blanket Licenses. Licensor
             waives the exclusive right to collect, whether individually or via a
             performance rights society (e.g. ASCAP, BMI, SESAC), royalties for
             the public performance or public digital performance (e.g. webcast)
             of the Work.
          ii. Mechanical Rights and Statutory Royalties. Licensor waives
             the exclusive right to collect, whether individually or via a music
             rights society or designated agent (e.g. Harry Fox Agency),
             royalties for any phonorecord You create from the Work ("cover
             version") and distribute, subject to the compulsory license created
             by 17 USC Section 115 of the US Copyright Act (or the equivalent in
             other jurisdictions).
    f. Webcasting Rights and Statutory Royalties. For the avoidance of
       doubt, where the Work is a sound recording, Licensor waives the
       exclusive right to collect, whether individually or via a
       performance-rights society (e.g. SoundExchange), royalties for the
       public digital performance (e.g. webcast) of the Work, subject to the
       compulsory license created by 17 USC Section 114 of the US Copyright Act
       (or the equivalent in other jurisdictions).
 .
 The above rights may be exercised in all media and formats whether now
 known or hereafter devised. The above rights include the right to make
 such modifications as are technically necessary to exercise the rights
 in other media and formats. All rights not expressly granted by Licensor
 are hereby reserved.
 .
 4. Restrictions.The license granted in Section 3 above is expressly made
    subject to and limited by the following restrictions:
 .
    a. You may distribute, publicly display, publicly perform, or
       publicly digitally perform the Work only under the terms of this
       License, and You must include a copy of, or the Uniform Resource
       Identifier for, this License with every copy or phonorecord of the Work
       You distribute, publicly display, publicly perform, or publicly
       digitally perform. You may not offer or impose any terms on the Work
       that alter or restrict the terms of this License or the recipients'
       exercise of the rights granted hereunder. You may not sublicense the
       Work. You must keep intact all notices that refer to this License and to
       the disclaimer of warranties. You may not distribute, publicly display,
       publicly perform, or publicly digitally perform the Work with any
       technological measures that control access or use of the Work in a
       manner inconsistent with the terms of this License Agreement. The above
       applies to the Work as incorporated in a Collective Work, but this does
       not require the Collective Work apart from the Work itself to be made
       subject to the terms of this License. If You create a Collective Work,
       upon notice from any Licensor You must, to the extent practicable,
       remove from the Collective Work any reference to such Licensor or the
       Original Author, as requested. If You create a Derivative Work, upon
       notice from any Licensor You must, to the extent practicable, remove
       from the Derivative Work any reference to such Licensor or the Original
       Author, as requested.
    b. You may distribute, publicly display, publicly perform, or
       publicly digitally perform a Derivative Work only under the terms of
       this License, a later version of this License with the same License
       Elements as this License, or a Creative Commons iCommons license that
       contains the same License Elements as this License (e.g.
       Attribution-ShareAlike 2.0 Japan). You must include a copy of, or the
       Uniform Resource Identifier for, this License or other license specified
       in the previous sentence with every copy or phonorecord of each
       Derivative Work You distribute, publicly display, publicly perform, or
       publicly digitally perform. You may not offer or impose any terms on the
       Derivative Works that alter or restrict the terms of this License or the
       recipients' exercise of the rights granted hereunder, and You must keep
       intact all notices that refer to this License and to the disclaimer of
       warranties. You may not distribute, publicly display, publicly perform,
       or publicly digitally perform the Derivative Work with any technological
       measures that control access or use of the Work in a manner inconsistent
       with the terms of this License Agreement. The above applies to the
       Derivative Work as incorporated in a Collective Work, but this does not
       require the Collective Work apart from the Derivative Work itself to be
       made subject to the terms of this License.
    c. If you distribute, publicly display, publicly perform, or publicly
       digitally perform the Work or any Derivative Works or Collective Works,
       You must keep intact all copyright notices for the Work and give the
       Original Author credit reasonable to the medium or means You are
       utilizing by conveying the name (or pseudonym if applicable) of the
       Original Author if supplied; the title of the Work if supplied; to the
       extent reasonably practicable, the Uniform Resource Identifier, if any,
       that Licensor specifies to be associated with the Work, unless such URI
       does not refer to the copyright notice or licensing information for the
       Work; and in the case of a Derivative Work, a credit identifying the use
       of the Work in the Derivative Work (e.g., "French translation of the
       Work by Original Author," or "Screenplay based on original Work by
       Original Author"). Such credit may be implemented in any reasonable
       manner; provided, however, that in the case of a Derivative Work or
       Collective Work, at a minimum such credit will appear where any other
       comparable authorship credit appears and in a manner at least as
       prominent as such other comparable authorship credit.
 .
 5. Representations, Warranties and Disclaimer
 UNLESS OTHERWISE AGREED TO BY THE PARTIES IN WRITING, LICENSOR OFFERS
 THE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND
 CONCERNING THE MATERIALS, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE,
 INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTIBILITY,
 FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF
 LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ABSENCE OF ERRORS,
 WHETHER OR NOT DISCOVERABLE. SOME JURISDICTIONS DO NOT ALLOW THE
 EXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT APPLY TO YOU.
 .
 6. Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE
 LAW, IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR
 ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES
 ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS
 BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
 .
 7. Termination
 .
    a. This License and the rights granted hereunder will terminate
       automatically upon any breach by You of the terms of this License.
       Individuals or entities who have received Derivative Works or Collective
       Works from You under this License, however, will not have their licenses
       terminated provided such individuals or entities remain in full
       compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will
       survive any termination of this License.
    b. Subject to the above terms and conditions, the license granted
       here is perpetual (for the duration of the applicable copyright in the
       Work). Notwithstanding the above, Licensor reserves the right to release
       the Work under different license terms or to stop distributing the Work
       at any time; provided, however that any such election will not serve to
       withdraw this License (or any other license that has been, or is
       required to be, granted under the terms of this License), and this
       License will continue in full force and effect unless terminated as
       stated above.
 .
 8. Miscellaneous
 .
    a. Each time You distribute or publicly digitally perform the Work or
       a Collective Work, the Licensor offers to the recipient a license to the
       Work on the same terms and conditions as the license granted to You
       under this License.
    b. Each time You distribute or publicly digitally perform a
       Derivative Work, Licensor offers to the recipient a license to the
       original Work on the same terms and conditions as the license granted to
       You under this License.
    c. If any provision of this License is invalid or unenforceable under
       applicable law, it shall not affect the validity or enforceability of
       the remainder of the terms of this License, and without further action
       by the parties to this agreement, such provision shall be reformed to
       the minimum extent necessary to make such provision valid and
       enforceable.
    d. No term or provision of this License shall be deemed waived and no
       breach consented to unless such waiver or consent shall be in writing
       and signed by the party to be charged with such waiver or consent.
    e. This License constitutes the entire agreement between the parties
       with respect to the Work licensed here. There are no understandings,
       agreements or representations with respect to the Work not specified
       here. Licensor shall not be bound by any additional provisions that may
       appear in any communication from You. This License may not be modified
       without the mutual written agreement of the Licensor and You.

License: CC-BY-SA-3.0
 THE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE
 COMMONS PUBLIC LICENSE ("CCPL" OR "LICENSE"). THE WORK IS PROTECTED BY
 COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS
 AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS PROHIBITED.
 .
 BY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE
 TO BE BOUND BY THE TERMS OF THIS LICENSE. TO THE EXTENT THIS LICENSE MAY
 BE CONSIDERED TO BE A CONTRACT, THE LICENSOR GRANTS YOU THE RIGHTS
 CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND
 CONDITIONS.
 .
 1. Definitions
 .
  a. "Adaptation" means a work based upon the Work, or upon the Work and
     other pre-existing works, such as a translation, adaptation,
     derivative work, arrangement of music or other alterations of a
     literary or artistic work, or phonogram or performance and includes
     cinematographic adaptations or any other form in which the Work may be
     recast, transformed, or adapted including in any form recognizably
     derived from the original, except that a work that constitutes a
     Collection will not be considered an Adaptation for the purpose of
     this License. For the avoidance of doubt, where the Work is a musical
     work, performance or phonogram, the synchronization of the Work in
     timed-relation with a moving image ("synching") will be considered an
     Adaptation for the purpose of this License.
  b. "Collection" means a collection of literary or artistic works, such as
     encyclopedias and anthologies, or performances, phonograms or
     broadcasts, or other works or subject matter other than works listed
     in Section 1(f) below, which, by reason of the selection and
     arrangement of their contents, constitute intellectual creations, in
     which the Work is included in its entirety in unmodified form along
     with one or more other contributions, each constituting separate and
     independent works in themselves, which together are assembled into a
     collective whole. A work that constitutes a Collection will not be
     considered an Adaptation (as defined below) for the purposes of this
     License.
  c. "Creative Commons Compatible License" means a license that is listed
     at https://creativecommons.org/compatiblelicenses that has been
     approved by Creative Commons as being essentially equivalent to this
     License, including, at a minimum, because that license: (i) contains
     terms that have the same purpose, meaning and effect as the License
     Elements of this License; and, (ii) explicitly permits the relicensing
     of adaptations of works made available under that license under this
     License or a Creative Commons jurisdiction license with the same
     License Elements as this License.
  d. "Distribute" means to make available to the public the original and
     copies of the Work or Adaptation, as appropriate, through sale or
     other transfer of ownership.
  e. "License Elements" means the following high-level license attributes
     as selected by Licensor and indicated in the title of this License:
     Attribution, ShareAlike.
  f. "Licensor" means the individual, individuals, entity or entities that
     offer(s) the Work under the terms of this License.
  g. "Original Author" means, in the case of a literary or artistic work,
     the individual, individuals, entity or entities who created the Work
     or if no individual or entity can be identified, the publisher; and in
     addition (i) in the case of a performance the actors, singers,
     musicians, dancers, and other persons who act, sing, deliver, declaim,
     play in, interpret or otherwise perform literary or artistic works or
     expressions of folklore; (ii) in the case of a phonogram the producer
     being the person or legal entity who first fixes the sounds of a
     performance or other sounds; and, (iii) in the case of broadcasts, the
     organization that transmits the broadcast.
  h. "Work" means the literary and/or artistic work offered under the terms
     of this License including without limitation any production in the
     literary, scientific and artistic domain, whatever may be the mode or
     form of its expression including digital form, such as a book,
     pamphlet and other writing; a lecture, address, sermon or other work
     of the same nature; a dramatic or dramatico-musical work; a
     choreographic work or entertainment in dumb show; a musical
     composition with or without words; a cinematographic work to which are
     assimilated works expressed by a process analogous to cinematography;
     a work of drawing, painting, architecture, sculpture, engraving or
     lithography; a photographic work to which are assimilated works
     expressed by a process analogous to photography; a work of applied
     art; an illustration, map, plan, sketch or three-dimensional work
     relative to geography, topography, architecture or science; a
     performance; a broadcast; a phonogram; a compilation of data to the
     extent it is protected as a copyrightable work; or a work performed by
     a variety or circus performer to the extent it is not otherwise
     considered a literary or artistic work.
  i. "You" means an individual or entity exercising rights under this
     License who has not previously violated the terms of this License with
     respect to the Work, or who has received express permission from the
     Licensor to exercise rights under this License despite a previous
     violation.
  j. "Publicly Perform" means to perform public recitations of the Work and
     to communicate to the public those public recitations, by any means or
     process, including by wire or wireless means or public digital
     performances; to make available to the public Works in such a way that
     members of the public may access these Works from a place and at a
     place individually chosen by them; to perform the Work to the public
     by any means or process and the communication to the public of the
     performances of the Work, including by public digital performance; to
     broadcast and rebroadcast the Work by any means including signs,
     sounds or images.
  k. "Reproduce" means to make copies of the Work by any means including
     without limitation by sound or visual recordings and the right of
     fixation and reproducing fixations of the Work, including storage of a
     protected performance or phonogram in digital form or other electronic
     medium.
 .
 2. Fair Dealing Rights. Nothing in this License is intended to reduce,
 limit, or restrict any uses free from copyright or rights arising from
 limitations or exceptions that are provided for in connection with the
 copyright protection under copyright law or other applicable laws.
 .
 3. License Grant. Subject to the terms and conditions of this License,
 Licensor hereby grants You a worldwide, royalty-free, non-exclusive,
 perpetual (for the duration of the applicable copyright) license to
 exercise the rights in the Work as stated below:
 .
  a. to Reproduce the Work, to incorporate the Work into one or more
     Collections, and to Reproduce the Work as incorporated in the
     Collections;
  b. to create and Reproduce Adaptations provided that any such Adaptation,
     including any translation in any medium, takes reasonable steps to
     clearly label, demarcate or otherwise identify that changes were made
     to the original Work. For example, a translation could be marked "The
     original work was translated from English to Spanish," or a
     modification could indicate "The original work has been modified.";
  c. to Distribute and Publicly Perform the Work including as incorporated
     in Collections; and,
  d. to Distribute and Publicly Perform Adaptations.
  e. For the avoidance of doubt:
 .
      i. Non-waivable Compulsory License Schemes. In those jurisdictions in
         which the right to collect royalties through any statutory or
         compulsory licensing scheme cannot be waived, the Licensor
         reserves the exclusive right to collect such royalties for any
         exercise by You of the rights granted under this License;
     ii. Waivable Compulsory License Schemes. In those jurisdictions in
         which the right to collect royalties through any statutory or
         compulsory licensing scheme can be waived, the Licensor waives the
         exclusive right to collect such royalties for any exercise by You
         of the rights granted under this License; and,
    iii. Voluntary License Schemes. The Licensor waives the right to
         collect royalties, whether individually or, in the event that the
         Licensor is a member of a collecting society that administers
         voluntary licensing schemes, via that society, from any exercise
         by You of the rights granted under this License.
 .
 The above rights may be exercised in all media and formats whether now
 known or hereafter devised. The above rights include the right to make
 such modifications as are technically necessary to exercise the rights in
 other media and formats. Subject to Section 8(f), all rights not expressly
 granted by Licensor are hereby reserved.
 .
 4. Restrictions. The license granted in Section 3 above is expressly made
 subject to and limited by the following restrictions:
 .
  a. You may Distribute or Publicly Perform the Work only under the terms
     of this License. You must include a copy of, or the Uniform Resource
     Identifier (URI) for, this License with every copy of the Work You
     Distribute or Publicly Perform. You may not offer or impose any terms
     on the Work that restrict the terms of this License or the ability of
     the recipient of the Work to exercise the rights granted to that
     recipient under the terms of the License. You may not sublicense the
     Work. You must keep intact all notices that refer to this License and
     to the disclaimer of warranties with every copy of the Work You
     Distribute or Publicly Perform. When You Distribute or Publicly
     Perform the Work, You may not impose any effective technological
     measures on the Work that restrict the ability of a recipient of the
     Work from You to exercise the rights granted to that recipient under
     the terms of the License. This Section 4(a) applies to the Work as
     incorporated in a Collection, but this does not require the Collection
     apart from the Work itself to be made subject to the terms of this
     License. If You create a Collection, upon notice from any Licensor You
     must, to the extent practicable, remove from the Collection any credit
     as required by Section 4(c), as requested. If You create an
     Adaptation, upon notice from any Licensor You must, to the extent
     practicable, remove from the Adaptation any credit as required by
     Section 4(c), as requested.
  b. You may Distribute or Publicly Perform an Adaptation only under the
     terms of: (i) this License; (ii) a later version of this License with
     the same License Elements as this License; (iii) a Creative Commons
     jurisdiction license (either this or a later license version) that
     contains the same License Elements as this License (e.g.,
     Attribution-ShareAlike 3.0 US)); (iv) a Creative Commons Compatible
     License. If you license the Adaptation under one of the licenses
     mentioned in (iv), you must comply with the terms of that license. If
     you license the Adaptation under the terms of any of the licenses
     mentioned in (i), (ii) or (iii) (the "Applicable License"), you must
     comply with the terms of the Applicable License generally and the
     following provisions: (I) You must include a copy of, or the URI for,
     the Applicable License with every copy of each Adaptation You
     Distribute or Publicly Perform; (II) You may not offer or impose any
     terms on the Adaptation that restrict the terms of the Applicable
     License or the ability of the recipient of the Adaptation to exercise
     the rights granted to that recipient under the terms of the Applicable
     License; (III) You must keep intact all notices that refer to the
     Applicable License and to the disclaimer of warranties with every copy
     of the Work as included in the Adaptation You Distribute or Publicly
     Perform; (IV) when You Distribute or Publicly Perform the Adaptation,
     You may not impose any effective technological measures on the
     Adaptation that restrict the ability of a recipient of the Adaptation
     from You to exercise the rights granted to that recipient under the
     terms of the Applicable License. This Section 4(b) applies to the
     Adaptation as incorporated in a Collection, but this does not require
     the Collection apart from the Adaptation itself to be made subject to
     the terms of the Applicable License.
  c. If You Distribute, or Publicly Perform the Work or any Adaptations or
     Collections, You must, unless a request has been made pursuant to
     Section 4(a), keep intact all copyright notices for the Work and
     provide, reasonable to the medium or means You are utilizing: (i) the
     name of the Original Author (or pseudonym, if applicable) if supplied,
     and/or if the Original Author and/or Licensor designate another party
     or parties (e.g., a sponsor institute, publishing entity, journal) for
     attribution ("Attribution Parties") in Licensor's copyright notice,
     terms of service or by other reasonable means, the name of such party
     or parties; (ii) the title of the Work if supplied; (iii) to the
     extent reasonably practicable, the URI, if any, that Licensor
     specifies to be associated with the Work, unless such URI does not
     refer to the copyright notice or licensing information for the Work;
     and (iv) , consistent with Ssection 3(b), in the case of an
     Adaptation, a credit identifying the use of the Work in the Adaptation
     (e.g., "French translation of the Work by Original Author," or
     "Screenplay based on original Work by Original Author"). The credit
     required by this Section 4(c) may be implemented in any reasonable
     manner; provided, however, that in the case of a Adaptation or
     Collection, at a minimum such credit will appear, if a credit for all
     contributing authors of the Adaptation or Collection appears, then as
     part of these credits and in a manner at least as prominent as the
     credits for the other contributing authors. For the avoidance of
     doubt, You may only use the credit required by this Section for the
     purpose of attribution in the manner set out above and, by exercising
     Your rights under this License, You may not implicitly or explicitly
     assert or imply any connection with, sponsorship or endorsement by the
     Original Author, Licensor and/or Attribution Parties, as appropriate,
     of You or Your use of the Work, without the separate, express prior
     written permission of the Original Author, Licensor and/or Attribution
     Parties.
  d. Except as otherwise agreed in writing by the Licensor or as may be
     otherwise permitted by applicable law, if You Reproduce, Distribute or
     Publicly Perform the Work either by itself or as part of any
     Adaptations or Collections, You must not distort, mutilate, modify or
     take other derogatory action in relation to the Work which would be
     prejudicial to the Original Author's honor or reputation. Licensor
     agrees that in those jurisdictions (e.g. Japan), in which any exercise
     of the right granted in Section 3(b) of this License (the right to
     make Adaptations) would be deemed to be a distortion, mutilation,
     modification or other derogatory action prejudicial to the Original
     Author's honor and reputation, the Licensor will waive or not assert,
     as appropriate, this Section, to the fullest extent permitted by the
     applicable national law, to enable You to reasonably exercise Your
     right under Section 3(b) of this License (right to make Adaptations)
     but not otherwise.
 .
 5. Representations, Warranties and Disclaimer
 .
 UNLESS OTHERWISE MUTUALLY AGREED TO BY THE PARTIES IN WRITING, LICENSOR
 OFFERS THE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY
 KIND CONCERNING THE WORK, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE,
 INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTIBILITY,
 FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF
 LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ABSENCE OF ERRORS,
 WHETHER OR NOT DISCOVERABLE. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION
 OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT APPLY TO YOU.
 .
 6. Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE
 LAW, IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR
 ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES
 ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS
 BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
 .
 7. Termination
 .
  a. This License and the rights granted hereunder will terminate
     automatically upon any breach by You of the terms of this License.
     Individuals or entities who have received Adaptations or Collections
     from You under this License, however, will not have their licenses
     terminated provided such individuals or entities remain in full
     compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will
     survive any termination of this License.
  b. Subject to the above terms and conditions, the license granted here is
     perpetual (for the duration of the applicable copyright in the Work).
     Notwithstanding the above, Licensor reserves the right to release the
     Work under different license terms or to stop distributing the Work at
     any time; provided, however that any such election will not serve to
     withdraw this License (or any other license that has been, or is
     required to be, granted under the terms of this License), and this
     License will continue in full force and effect unless terminated as
     stated above.
 .
 8. Miscellaneous
 .
  a. Each time You Distribute or Publicly Perform the Work or a Collection,
     the Licensor offers to the recipient a license to the Work on the same
     terms and conditions as the license granted to You under this License.
  b. Each time You Distribute or Publicly Perform an Adaptation, Licensor
     offers to the recipient a license to the original Work on the same
     terms and conditions as the license granted to You under this License.
  c. If any provision of this License is invalid or unenforceable under
     applicable law, it shall not affect the validity or enforceability of
     the remainder of the terms of this License, and without further action
     by the parties to this agreement, such provision shall be reformed to
     the minimum extent necessary to make such provision valid and
     enforceable.
  d. No term or provision of this License shall be deemed waived and no
     breach consented to unless such waiver or consent shall be in writing
     and signed by the party to be charged with such waiver or consent.
  e. This License constitutes the entire agreement between the parties with
     respect to the Work licensed here. There are no understandings,
     agreements or representations with respect to the Work not specified
     here. Licensor shall not be bound by any additional provisions that
     may appear in any communication from You. This License may not be
     modified without the mutual written agreement of the Licensor and You.
  f. The rights granted under, and the subject matter referenced, in this
     License were drafted utilizing the terminology of the Berne Convention
     for the Protection of Literary and Artistic Works (as amended on
     September 28, 1979), the Rome Convention of 1961, the WIPO Copyright
     Treaty of 1996, the WIPO Performances and Phonograms Treaty of 1996
     and the Universal Copyright Convention (as revised on July 24, 1971).
     These rights and subject matter take effect in the relevant
     jurisdiction in which the License terms are sought to be enforced
     according to the corresponding provisions of the implementation of
     those treaty provisions in the applicable national law. If the
     standard suite of rights granted under applicable copyright law
     includes additional rights not granted under this License, such
     additional rights are deemed to be included in the License; this
     License is not intended to restrict the license of any rights under
     applicable law.

License: CC-BY-SA-4.0
 CC Attribution-ShareAlike http://creativecommons.org/licenses/by-sa/4.0/
 .
 Attribution-ShareAlike 4.0 International
 .
 =======================================================================
 .
 Creative Commons Corporation ("Creative Commons") is not a law firm and
 does not provide legal services or legal advice. Distribution of
 Creative Commons public licenses does not create a lawyer-client or
 other relationship. Creative Commons makes its licenses and related
 information available on an "as-is" basis. Creative Commons gives no
 warranties regarding its licenses, any material licensed under their
 terms and conditions, or any related information. Creative Commons
 disclaims all liability for damages resulting from their use to the
 fullest extent possible.
 .
 Using Creative Commons Public Licenses
 .
 Creative Commons public licenses provide a standard set of terms and
 conditions that creators and other rights holders may use to share
 original works of authorship and other material subject to copyright
 and certain other rights specified in the public license below. The
 following considerations are for informational purposes only, are not
 exhaustive, and do not form part of our licenses.
 .
     Considerations for licensors: Our public licenses are
     intended for use by those authorized to give the public
     permission to use material in ways otherwise restricted by
     copyright and certain other rights. Our licenses are
     irrevocable. Licensors should read and understand the terms
     and conditions of the license they choose before applying it.
     Licensors should also secure all rights necessary before
     applying our licenses so that the public can reuse the
     material as expected. Licensors should clearly mark any
     material not subject to the license. This includes other CC-
     licensed material, or material used under an exception or
     limitation to copyright. More considerations for licensors:
     wiki.creativecommons.org/Considerations_for_licensors
 .
     Considerations for the public: By using one of our public
     licenses, a licensor grants the public permission to use the
     licensed material under specified terms and conditions. If
     the licensor's permission is not necessary for any reason--for
     example, because of any applicable exception or limitation to
     copyright--then that use is not regulated by the license. Our
     licenses grant only permissions under copyright and certain
     other rights that a licensor has authority to grant. Use of
     the licensed material may still be restricted for other
     reasons, including because others have copyright or other
     rights in the material. A licensor may make special requests,
     such as asking that all changes be marked or described.
     Although not required by our licenses, you are encouraged to
     respect those requests where reasonable. More_considerations
     for the public:
     wiki.creativecommons.org/Considerations_for_licensees
 .
 =======================================================================
 .
 Creative Commons Attribution-ShareAlike 4.0 International Public
 License
 .
 By exercising the Licensed Rights (defined below), You accept and agree
 to be bound by the terms and conditions of this Creative Commons
 Attribution-ShareAlike 4.0 International Public License ("Public
 License"). To the extent this Public License may be interpreted as a
 contract, You are granted the Licensed Rights in consideration of Your
 acceptance of these terms and conditions, and the Licensor grants You
 such rights in consideration of benefits the Licensor receives from
 making the Licensed Material available under these terms and
 conditions.
 .
 .
 Section 1 -- Definitions.
 .
  a. Adapted Material means material subject to Copyright and Similar
     Rights that is derived from or based upon the Licensed Material
     and in which the Licensed Material is translated, altered,
     arranged, transformed, or otherwise modified in a manner requiring
     permission under the Copyright and Similar Rights held by the
     Licensor. For purposes of this Public License, where the Licensed
     Material is a musical work, performance, or sound recording,
     Adapted Material is always produced where the Licensed Material is
     synched in timed relation with a moving image.
 .
  b. Adapter's License means the license You apply to Your Copyright
     and Similar Rights in Your contributions to Adapted Material in
     accordance with the terms and conditions of this Public License.
 .
  c. BY-SA Compatible License means a license listed at
     creativecommons.org/compatiblelicenses, approved by Creative
     Commons as essentially the equivalent of this Public License.
 .
  d. Copyright and Similar Rights means copyright and/or similar rights
     closely related to copyright including, without limitation,
     performance, broadcast, sound recording, and Sui Generis Database
     Rights, without regard to how the rights are labeled or
     categorized. For purposes of this Public License, the rights
     specified in Section 2(b)(1)-(2) are not Copyright and Similar
     Rights.
 .
  e. Effective Technological Measures means those measures that, in the
     absence of proper authority, may not be circumvented under laws
     fulfilling obligations under Article 11 of the WIPO Copyright
     Treaty adopted on December 20, 1996, and/or similar international
     agreements.
 .
  f. Exceptions and Limitations means fair use, fair dealing, and/or
     any other exception or limitation to Copyright and Similar Rights
     that applies to Your use of the Licensed Material.
 .
  g. License Elements means the license attributes listed in the name
     of a Creative Commons Public License. The License Elements of this
     Public License are Attribution and ShareAlike.
 .
  h. Licensed Material means the artistic or literary work, database,
     or other material to which the Licensor applied this Public
     License.
 .
  i. Licensed Rights means the rights granted to You subject to the
     terms and conditions of this Public License, which are limited to
     all Copyright and Similar Rights that apply to Your use of the
     Licensed Material and that the Licensor has authority to license.
 .
  j. Licensor means the individual(s) or entity(ies) granting rights
     under this Public License.
 .
  k. Share means to provide material to the public by any means or
     process that requires permission under the Licensed Rights, such
     as reproduction, public display, public performance, distribution,
     dissemination, communication, or importation, and to make material
     available to the public including in ways that members of the
     public may access the material from a place and at a time
     individually chosen by them.
 .
  l. Sui Generis Database Rights means rights other than copyright
     resulting from Directive 96/9/EC of the European Parliament and of
     the Council of 11 March 1996 on the legal protection of databases,
     as amended and/or succeeded, as well as other essentially
     equivalent rights anywhere in the world.
 .
  m. You means the individual or entity exercising the Licensed Rights
     under this Public License. Your has a corresponding meaning.
 .
 .
 Section 2 -- Scope.
 .
  a. License grant.
 .
       1. Subject to the terms and conditions of this Public License,
          the Licensor hereby grants You a worldwide, royalty-free,
          non-sublicensable, non-exclusive, irrevocable license to
          exercise the Licensed Rights in the Licensed Material to:
 .
            a. reproduce and Share the Licensed Material, in whole or
               in part; and
 .
            b. produce, reproduce, and Share Adapted Material.
 .
       2. Exceptions and Limitations. For the avoidance of doubt, where
          Exceptions and Limitations apply to Your use, this Public
          License does not apply, and You do not need to comply with
          its terms and conditions.
 .
       3. Term. The term of this Public License is specified in Section
          6(a).
 .
       4. Media and formats; technical modifications allowed. The
          Licensor authorizes You to exercise the Licensed Rights in
          all media and formats whether now known or hereafter created,
          and to make technical modifications necessary to do so. The
          Licensor waives and/or agrees not to assert any right or
          authority to forbid You from making technical modifications
          necessary to exercise the Licensed Rights, including
          technical modifications necessary to circumvent Effective
          Technological Measures. For purposes of this Public License,
          simply making modifications authorized by this Section 2(a)
          (4) never produces Adapted Material.
 .
       5. Downstream recipients.
 .
            a. Offer from the Licensor -- Licensed Material. Every
               recipient of the Licensed Material automatically
               receives an offer from the Licensor to exercise the
               Licensed Rights under the terms and conditions of this
               Public License.
 .
            b. Additional offer from the Licensor -- Adapted Material.
               Every recipient of Adapted Material from You
               automatically receives an offer from the Licensor to
               exercise the Licensed Rights in the Adapted Material
               under the conditions of the Adapter's License You apply.
 .
            c. No downstream restrictions. You may not offer or impose
               any additional or different terms or conditions on, or
               apply any Effective Technological Measures to, the
               Licensed Material if doing so restricts exercise of the
               Licensed Rights by any recipient of the Licensed
               Material.
 .
       6. No endorsement. Nothing in this Public License constitutes or
          may be construed as permission to assert or imply that You
          are, or that Your use of the Licensed Material is, connected
          with, or sponsored, endorsed, or granted official status by,
          the Licensor or others designated to receive attribution as
          provided in Section 3(a)(1)(A)(i).
 .
  b. Other rights.
 .
       1. Moral rights, such as the right of integrity, are not
          licensed under this Public License, nor are publicity,
          privacy, and/or other similar personality rights; however, to
          the extent possible, the Licensor waives and/or agrees not to
          assert any such rights held by the Licensor to the limited
          extent necessary to allow You to exercise the Licensed
          Rights, but not otherwise.
 .
       2. Patent and trademark rights are not licensed under this
          Public License.
 .
       3. To the extent possible, the Licensor waives any right to
          collect royalties from You for the exercise of the Licensed
          Rights, whether directly or through a collecting society
          under any voluntary or waivable statutory or compulsory
          licensing scheme. In all other cases the Licensor expressly
          reserves any right to collect such royalties.
 .
 .
 Section 3 -- License Conditions.
 .
 Your exercise of the Licensed Rights is expressly made subject to the
 following conditions.
 .
  a. Attribution.
 .
       1. If You Share the Licensed Material (including in modified
          form), You must:
 .
            a. retain the following if it is supplied by the Licensor
               with the Licensed Material:
 .
                 i. identification of the creator(s) of the Licensed
                    Material and any others designated to receive
                    attribution, in any reasonable manner requested by
                    the Licensor (including by pseudonym if
                    designated);
 .
                ii. a copyright notice;
 .
               iii. a notice that refers to this Public License;
 .
                iv. a notice that refers to the disclaimer of
                    warranties;
 .
                 v. a URI or hyperlink to the Licensed Material to the
                    extent reasonably practicable;
 .
            b. indicate if You modified the Licensed Material and
               retain an indication of any previous modifications; and
 .
            c. indicate the Licensed Material is licensed under this
               Public License, and include the text of, or the URI or
               hyperlink to, this Public License.
 .
       2. You may satisfy the conditions in Section 3(a)(1) in any
          reasonable manner based on the medium, means, and context in
          which You Share the Licensed Material. For example, it may be
          reasonable to satisfy the conditions by providing a URI or
          hyperlink to a resource that includes the required
          information.
 .
       3. If requested by the Licensor, You must remove any of the
          information required by Section 3(a)(1)(A) to the extent
          reasonably practicable.
 .
  b. ShareAlike.
 .
     In addition to the conditions in Section 3(a), if You Share
     Adapted Material You produce, the following conditions also apply.
 .
       1. The Adapter's License You apply must be a Creative Commons
          license with the same License Elements, this version or
          later, or a BY-SA Compatible License.
 .
       2. You must include the text of, or the URI or hyperlink to, the
          Adapter's License You apply. You may satisfy this condition
          in any reasonable manner based on the medium, means, and
          context in which You Share Adapted Material.
 .
       3. You may not offer or impose any additional or different terms
          or conditions on, or apply any Effective Technological
          Measures to, Adapted Material that restrict exercise of the
          rights granted under the Adapter's License You apply.
 .
 .
 Section 4 -- Sui Generis Database Rights.
 .
 Where the Licensed Rights include Sui Generis Database Rights that
 apply to Your use of the Licensed Material:
 .
  a. for the avoidance of doubt, Section 2(a)(1) grants You the right
     to extract, reuse, reproduce, and Share all or a substantial
     portion of the contents of the database;
 .
  b. if You include all or a substantial portion of the database
     contents in a database in which You have Sui Generis Database
     Rights, then the database in which You have Sui Generis Database
     Rights (but not its individual contents) is Adapted Material,
 .
     including for purposes of Section 3(b); and
  c. You must comply with the conditions in Section 3(a) if You Share
     all or a substantial portion of the contents of the database.
 .
 For the avoidance of doubt, this Section 4 supplements and does not
 replace Your obligations under this Public License where the Licensed
 Rights include other Copyright and Similar Rights.
 .
 .
 Section 5 -- Disclaimer of Warranties and Limitation of Liability.
 .
  a. UNLESS OTHERWISE SEPARATELY UNDERTAKEN BY THE LICENSOR, TO THE
     EXTENT POSSIBLE, THE LICENSOR OFFERS THE LICENSED MATERIAL AS-IS
     AND AS-AVAILABLE, AND MAKES NO REPRESENTATIONS OR WARRANTIES OF
     ANY KIND CONCERNING THE LICENSED MATERIAL, WHETHER EXPRESS,
     IMPLIED, STATUTORY, OR OTHER. THIS INCLUDES, WITHOUT LIMITATION,
     WARRANTIES OF TITLE, MERCHANTABILITY, FITNESS FOR A PARTICULAR
     PURPOSE, NON-INFRINGEMENT, ABSENCE OF LATENT OR OTHER DEFECTS,
     ACCURACY, OR THE PRESENCE OR ABSENCE OF ERRORS, WHETHER OR NOT
     KNOWN OR DISCOVERABLE. WHERE DISCLAIMERS OF WARRANTIES ARE NOT
     ALLOWED IN FULL OR IN PART, THIS DISCLAIMER MAY NOT APPLY TO YOU.
 .
  b. TO THE EXTENT POSSIBLE, IN NO EVENT WILL THE LICENSOR BE LIABLE
     TO YOU ON ANY LEGAL THEORY (INCLUDING, WITHOUT LIMITATION,
     NEGLIGENCE) OR OTHERWISE FOR ANY DIRECT, SPECIAL, INDIRECT,
     INCIDENTAL, CONSEQUENTIAL, PUNITIVE, EXEMPLARY, OR OTHER LOSSES,
     COSTS, EXPENSES, OR DAMAGES ARISING OUT OF THIS PUBLIC LICENSE OR
     USE OF THE LICENSED MATERIAL, EVEN IF THE LICENSOR HAS BEEN
     ADVISED OF THE POSSIBILITY OF SUCH LOSSES, COSTS, EXPENSES, OR
     DAMAGES. WHERE A LIMITATION OF LIABILITY IS NOT ALLOWED IN FULL OR
     IN PART, THIS LIMITATION MAY NOT APPLY TO YOU.
 .
  c. The disclaimer of warranties and limitation of liability provided
     above shall be interpreted in a manner that, to the extent
     possible, most closely approximates an absolute disclaimer and
     waiver of all liability.
 .
 .
 Section 6 -- Term and Termination.
 .
  a. This Public License applies for the term of the Copyright and
     Similar Rights licensed here. However, if You fail to comply with
     this Public License, then Your rights under this Public License
     terminate automatically.
 .
  b. Where Your right to use the Licensed Material has terminated under
     Section 6(a), it reinstates:
 .
       1. automatically as of the date the violation is cured, provided
          it is cured within 30 days of Your discovery of the
          violation; or
 .
       2. upon express reinstatement by the Licensor.
 .
     For the avoidance of doubt, this Section 6(b) does not affect any
     right the Licensor may have to seek remedies for Your violations
     of this Public License.
 .
  c. For the avoidance of doubt, the Licensor may also offer the
     Licensed Material under separate terms or conditions or stop
     distributing the Licensed Material at any time; however, doing so
     will not terminate this Public License.
 .
  d. Sections 1, 5, 6, 7, and 8 survive termination of this Public
     License.
 .
 .
 Section 7 -- Other Terms and Conditions.
 .
  a. The Licensor shall not be bound by any additional or different
     terms or conditions communicated by You unless expressly agreed.
 .
  b. Any arrangements, understandings, or agreements regarding the
     Licensed Material not stated herein are separate from and
     independent of the terms and conditions of this Public License.
 .
 .
 Section 8 -- Interpretation.
 .
  a. For the avoidance of doubt, this Public License does not, and
     shall not be interpreted to, reduce, limit, restrict, or impose
     conditions on any use of the Licensed Material that could lawfully
     be made without permission under this Public License.
 .
  b. To the extent possible, if any provision of this Public License is
     deemed unenforceable, it shall be automatically reformed to the
     minimum extent necessary to make it enforceable. If the provision
     cannot be reformed, it shall be severed from this Public License
     without affecting the enforceability of the remaining terms and
     conditions.
 .
  c. No term or condition of this Public License will be waived and no
     failure to comply consented to unless expressly agreed to by the
     Licensor.
 .
  d. Nothing in this Public License constitutes or may be interpreted
     as a limitation upon, or waiver of, any privileges and immunities
     that apply to the Licensor or You, including from the legal
     processes of any jurisdiction or authority.
 .
 .
 =======================================================================
 .
 Creative Commons is not a party to its public licenses.
 Notwithstanding, Creative Commons may elect to apply one of its public
 licenses to material it publishes and in those instances will be
 considered the "Licensor." Except for the limited purpose of indicating
 that material is shared under a Creative Commons public license or as
 otherwise permitted by the Creative Commons policies published at
 creativecommons.org/policies, Creative Commons does not authorize the
 use of the trademark "Creative Commons" or any other trademark or logo
 of Creative Commons without its prior written consent including,
 without limitation, in connection with any unauthorized modifications
 to any of its public licenses or any other arrangements,
 understandings, or agreements concerning use of licensed material. For
 the avoidance of doubt, this paragraph does not form part of the public
 licenses.
 .
 Creative Commons may be contacted at creativecommons.org.

License: MIT~X11
 Permission to use, copy, modify, distribute, and sell this software and its
 documentation for any purpose is hereby granted without fee, provided that
 the above copyright notice appear in all copies and that both that copyright
 notice and this permission notice appear in supporting documentation, and
 that the name of the copyright holders not be used in advertising or
 publicity pertaining to distribution of the software without specific,
 written prior permission.  The copyright holders make no representations
 about the suitability of this software for any purpose.  It is provided "as
 is" without express or implied warranty.
 .
 THE COPYRIGHT HOLDERS DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
 INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO
 EVENT SHALL THE COPYRIGHT HOLDERS BE LIABLE FOR ANY SPECIAL, INDIRECT OR
 CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE,
 DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER
 TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE
 OF THIS SOFTWARE.
